{ pkgs ? import <nixpkgs> {} }:

let
  texlive = pkgs.texlive.combine {
    inherit (pkgs.texlive) scheme-medium
      biber
      biblatex
      biblatex-iso690
      csquotes
      datetime2
      datetime2-german
      lipsum;
  };
in
pkgs.stdenv.mkDerivation {
  name = "seminararbeit.pdf";

  nativeBuildInputs = [
    texlive
  ];

  src = pkgs.nix-gitignore.gitignoreSource [] ./.;

  # We only build a PDF
  dontFixup = true;

  installPhase = "cp $name $out";
}
